
#CLOCK & RESET
set_property PACKAGE_PIN F22 [get_ports clk_20m_vcxo_i]
set_property IOSTANDARD LVCMOS33 [get_ports clk_20m_vcxo_i]
create_clock -period 50.000 -name clk_20m_vcxo_i -waveform {0.000 25.000} [get_ports clk_20m_vcxo_i]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN E11 [get_ports RESET]
set_property IOSTANDARD LVCMOS33 [get_ports RESET]

#>>>#NET "clk_20m_vcxo_i" TNM_NET = clk_20m_vcxo_i;
#>>>#TIMESPEC TS_clk_20m_vcxo_i = PERIOD "clk_20m_vcxo_i" 50 ns HIGH 50%;

#>>>#NET "REF_CLK_62_5" TNM_NET = REF_CLK_62_5;
#>>>#TIMESPEC TS_REF_CLK_62_5 = PERIOD "REF_CLK_62_5" 16 ns HIGH 50%;

#TEST & DEBUG
# Signal USB_TX is an output in the design and must be connected to pin 20/12 (RXD_I) of U34 (CP2105GM)
# Signal USB_RX is an input in the design and must be connected to pin 21/13 (TXD_O) of U34 (CP2105GM)
# Rx signals are pulled down so the USB on the CLB and the USB on the G-Board can be OR-ed

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN D19 [get_ports USB_RX1]
set_property IOSTANDARD LVCMOS25 [get_ports USB_RX1]
set_property PULLTYPE PULLDOWN [get_ports USB_RX1]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN D20 [get_ports USB_TX1]
set_property IOSTANDARD LVCMOS25 [get_ports USB_TX1]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN C19 [get_ports USB_RX2]
#set_property IOSTANDARD LVCMOS25 [get_ports USB_RX2]
#set_property PULLTYPE PULLDOWN [get_ports USB_RX2]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN B19 [get_ports USB_TX2]
#set_property IOSTANDARD LVCMOS25 [get_ports USB_TX2]
#USB Connection on Test&Debug Connector (J35)

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN F14 [get_ports USBEXT_RX1]
set_property IOSTANDARD LVCMOS33 [get_ports USBEXT_RX1]
set_property PULLTYPE PULLDOWN [get_ports USBEXT_RX1]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN F13 [get_ports USBEXT_TX1]
set_property IOSTANDARD LVCMOS33 [get_ports USBEXT_TX1]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN C14 [get_ports USBEXT_RX2]
#set_property IOSTANDARD LVCMOS33 [get_ports USBEXT_RX2]
#set_property PULLTYPE PULLDOWN [get_ports USBEXT_RX2]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN C13 [get_ports USBEXT_TX2]
#set_property IOSTANDARD LVCMOS33 [get_ports USBEXT_TX2]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN C16 [get_ports GPIO_LED[0]]
#set_property IOSTANDARD LVCMOS25 [get_ports GPIO_LED[0]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN C16 [get_ports bitslide[0]]
#set_property IOSTANDARD LVCMOS25 [get_ports bitslide[0]]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN C16 [get_ports ActLED[0]]
set_property IOSTANDARD LVCMOS25 [get_ports ActLED[0]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN B16 [get_ports GPIO_LED[1]]
#set_property IOSTANDARD LVCMOS25 [get_ports GPIO_LED[1]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN B16 [get_ports bitslide[1]]
#set_property IOSTANDARD LVCMOS25 [get_ports bitslide[1]]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN B16 [get_ports ActLED[1]]
set_property IOSTANDARD LVCMOS25 [get_ports ActLED[1]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN B17 [get_ports GPIO_LED[2]]
#set_property IOSTANDARD LVCMOS25 [get_ports GPIO_LED[2]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN B17 [get_ports bitslide[2]]
#set_property IOSTANDARD LVCMOS25 [get_ports bitslide[2]]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN B17 [get_ports ActLED[2]]
set_property IOSTANDARD LVCMOS25 [get_ports ActLED[2]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN A17 [get_ports GPIO_LED[3]]
#set_property IOSTANDARD LVCMOS25 [get_ports GPIO_LED[3]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN A17 [get_ports bitslide[3]]
#set_property IOSTANDARD LVCMOS25 [get_ports bitslide[3]]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN A17 [get_ports ActLED[3]]
set_property IOSTANDARD LVCMOS25 [get_ports ActLED[3]]

#Bank 15 VCCO - 2.5 V
#NET "GPIO_LED[4]" LOC = A18 | IOSTANDARD = LVCMOS25;
#set_property PACKAGE_PIN A18 [get_ports GPIO_LED[4]]
#set_property IOSTANDARD LVCMOS25 [get_ports GPIO_LED[4]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN A18 [get_ports bitslide[4]]
#set_property IOSTANDARD LVCMOS25 [get_ports bitslide[4]]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN A19 [get_ports GPIO_LED[5]]
#set_property IOSTANDARD LVCMOS25 [get_ports GPIO_LED[5]]

#Bank 15 VCCO - 2.5 V
#NET "LED_LINK"    LOC = A19 | IOSTANDARD = LVCMOS25;
set_property PACKAGE_PIN A19 [get_ports LED_LINK]
set_property IOSTANDARD LVCMOS25 [get_ports LED_LINK]

########## To be assigned ###########
#set_property SEVERITY {Warning} [get_drc_checks NSTD-1]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN J15 [get_ports DIP_SWITCH[1]]
#set_property IOSTANDARD LVCMOS25 [get_ports DIP_SWITCH[1]]
#set_property PULLTYPE PULLDOWN [get_ports DIP_SWITCH[1]]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN J15 [get_ports Fire]
set_property IOSTANDARD LVCMOS25 [get_ports Fire]
set_property PULLTYPE PULLDOWN [get_ports Fire]
                                                                     
#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN J16 [get_ports DIP_SWITCH[2]]
#set_property IOSTANDARD LVCMOS25 [get_ports DIP_SWITCH[2]]
#set_property PULLTYPE PULLDOWN [get_ports DIP_SWITCH[2]]
                                                                     
#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN J16 [get_ports udp_tstgen_cont]
set_property IOSTANDARD LVCMOS25 [get_ports udp_tstgen_cont]
set_property PULLTYPE PULLDOWN [get_ports udp_tstgen_cont]
                                                                     
#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN H16 [get_ports DIP_SWITCH[3]]
#set_property IOSTANDARD LVCMOS25 [get_ports DIP_SWITCH[3]]
#set_property PULLTYPE PULLDOWN [get_ports DIP_SWITCH[3]]
                                                                     
#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN G16 [get_ports DIP_SWITCH[4]]
#set_property IOSTANDARD LVCMOS25 [get_ports DIP_SWITCH[4]]
#set_property PULLTYPE PULLDOWN [get_ports DIP_SWITCH[4]]
                                                                     
#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN G16 [get_ports Readout]
set_property IOSTANDARD LVCMOS25 [get_ports Readout]
set_property PULLTYPE PULLDOWN [get_ports Readout]


#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN H8 [get_ports GPIO[1]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[1]]
#set_property PACKAGE_PIN H8 [get_ports dbg_o(0)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(0)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN J8 [get_ports GPIO[2]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[2]]
#set_property PACKAGE_PIN J8 [get_ports dbg_o(1)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(1)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN G9 [get_ports GPIO[3]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[3]]
#set_property PACKAGE_PIN G9 [get_ports dbg_o(2)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(2)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN H9 [get_ports GPIO[4]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[4]]
#set_property PACKAGE_PIN H9 [get_ports dbg_o(3)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(3)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN F8 [get_ports GPIO[5]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[5]]
#set_property PACKAGE_PIN F8 [get_ports dbg_o(4)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(4)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN G10 [get_ports GPIO[6]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[6]]
#set_property PACKAGE_PIN G10 [get_ports dbg_o(5)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(5)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN F9 [get_ports GPIO[7]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[7]]
#set_property PACKAGE_PIN F9 [get_ports dbg_o(6)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(6)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN F10 [get_ports GPIO[8]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[8]]
#set_property PACKAGE_PIN F10 [get_ports dbg_o(7)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(7)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN D9 [get_ports GPIO[9]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[9]]
#set_property PACKAGE_PIN D9 [get_ports dbg_o(8)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(8)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN D8 [get_ports GPIO[10]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[10]]
#set_property PACKAGE_PIN D8 [get_ports dbg_o(9)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(9)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN B9 [get_ports GPIO[11]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[11]]
#set_property PACKAGE_PIN B9 [get_ports dbg_o(10)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(10)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN C9 [get_ports GPIO[12]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[12]]
#set_property PACKAGE_PIN C9 [get_ports dbg_o(11)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(11)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN A9 [get_ports GPIO[13]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[13]]
#set_property PACKAGE_PIN A9 [get_ports dbg_o(12)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(12)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN A8 [get_ports GPIO[14]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[14]]
#set_property PACKAGE_PIN A8 [get_ports dbg_o(13)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(13)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN A10 [get_ports GPIO[15]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[15]]
#set_property PACKAGE_PIN A10 [get_ports dbg_o(14)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(14)]

#Bank 16 VCCO - 3.3 V
#set_property PACKAGE_PIN B10 [get_ports GPIO[16]]
#set_property IOSTANDARD LVCMOS33 [get_ports GPIO[16]]
#set_property PACKAGE_PIN B10 [get_ports dbg_o(15)]
#set_property IOSTANDARD LVCMOS33 [get_ports dbg_o(15)]


#SOFT PLL (WHITE RABBIT)
#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN D23 [get_ports PLL_SDA]
set_property IOSTANDARD LVCMOS33 [get_ports PLL_SDA]

#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN D24 [get_ports PLL_SCL]
set_property IOSTANDARD LVCMOS33 [get_ports PLL_SCL]

#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN L23 [get_ports ONE_WIRE_BUS]
set_property IOSTANDARD LVCMOS33 [get_ports ONE_WIRE_BUS]

# Note LVDS_25 and VCCO 3.3V conflict for PPS_P/N!
# Therefor made a special CLBv2 Proto implementation (generic g_use_clbv2_1 true) with two single
# ended but complementary signals
#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN C17 [get_ports PPS_P]
set_property IOSTANDARD LVDS_25 [get_ports PPS_P]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN C18 [get_ports PPS_N]
set_property IOSTANDARD LVDS_25 [get_ports PPS_N]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN D15 [get_ports REF_CLK_P]
set_property IOSTANDARD LVDS_25 [get_ports REF_CLK_P]

#Bank 15 VCCO - 2.5 V
set_property PACKAGE_PIN D16 [get_ports REF_CLK_N]
set_property IOSTANDARD LVDS_25 [get_ports REF_CLK_N]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN B11 [get_ports PLL_OE_OUT_B]
set_property IOSTANDARD LVCMOS33 [get_ports PLL_OE_OUT_B]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN A14 [get_ports PLL25DAC1_SYNC_B]
set_property IOSTANDARD LVCMOS33 [get_ports PLL25DAC1_SYNC_B]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN A15 [get_ports PLL25DAC2_SYNC_B]
set_property IOSTANDARD LVCMOS33 [get_ports PLL25DAC2_SYNC_B]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN A13 [get_ports PLL25DAC_DIN]
set_property IOSTANDARD LVCMOS33 [get_ports PLL25DAC_DIN]

#Bank 16 VCCO - 3.3 V
set_property PACKAGE_PIN A12 [get_ports PLL25DAC_SCLK]
set_property IOSTANDARD LVCMOS33 [get_ports PLL25DAC_SCLK]

#SFP
#Bank 14 VCCO - 3.3 V  (mod_def_0)
set_property PACKAGE_PIN E26 [get_ports SFP_PRESENT]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_PRESENT]

#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN F25 [get_ports SFP_LOS]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_LOS]

#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN C26 [get_ports SFP_TX_FAULT]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_TX_FAULT]

#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN D26 [get_ports SFP_TX_DISABLE]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_TX_DISABLE]

#Bank 14 VCCO - 3.3 V
set_property PACKAGE_PIN G26 [get_ports SFP_RATESEL]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_RATESEL]

#Bank 14 VCCO - 3.3 V (mod_def_2)
set_property PACKAGE_PIN H26 [get_ports SFP_SDA]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_SDA]

#Bank 14 VCCO - 3.3 V (mod_def_1)
set_property PACKAGE_PIN J26 [get_ports SFP_SCL]
set_property IOSTANDARD LVCMOS33 [get_ports SFP_SCL]

#GIGABIT TRANSCEIVER (SFP)
#Bank 116
set_property PACKAGE_PIN D6 [get_ports FPGA_PLL_REF_CLK0_P]
#set_property IOSTANDARD LVDS_25 [get_ports FPGA_PLL_REF_CLK0_P]
create_clock -period 8.000 -name FPGA_PLL_REF_CLK0_P -waveform {0.000 4.000} [get_ports FPGA_PLL_REF_CLK0_P]
set_property PACKAGE_PIN D5 [get_ports FPGA_PLL_REF_CLK0_N]
#set_property IOSTANDARD LVDS_25 [get_ports FPGA_PLL_REF_CLK0_N]
#create_clock -period 8.000 -name FPGA_PLL_REF_CLK0_n -waveform {0.000 4.000} [get_ports FPGA_PLL_REF_CLK0_N]

create_clock -period 16.000 -name u0/U_GTX/U_GTX_INST/gtxe2_i/RXOUTCLK -waveform {0.000 8.000} [get_pins u0/U_GTX/U_GTX_INST/gtxe2_i/RXOUTCLK]
create_clock -period 16.000 -name u0/U_GTX/U_GTX_INST/gtxe2_i/TXOUTCLK -waveform {0.000 8.000} [get_pins u0/U_GTX/U_GTX_INST/gtxe2_i/TXOUTCLK]

#>>>#NET "FPGA_PLL_REF_CLK0_P" TNM_NET = FPGA_PLL_REF_CLK0_P;
#>>>#TIMESPEC TS_FPGA_PLL_REF_CLK0_P = PERIOD "FPGA_PLL_REF_CLK0_P" 8 ns HIGH 50%;

#>>>#NET "FPGA_PLL_REF_CLK0_N" TNM_NET = FPGA_PLL_REF_CLK0_N;
#>>>#TIMESPEC TS_FPGA_PLL_REF_CLK0_N = PERIOD "FPGA_PLL_REF_CLK0_N" 8 ns HIGH 50%;

#Bank 116
#set_property PACKAGE_PIN F6 [get_ports FPGA_PLL_REF_CLK1_P]
#set_property IOSTANDARD LVDS_25 [get_ports FPGA_PLL_REF_CLK1_P]

#Bank 116
#set_property PACKAGE_PIN F5 [get_ports FPGA_PLL_REF_CLK1_N]
#set_property IOSTANDARD LVDS_25 [get_ports FPGA_PLL_REF_CLK1_N]

#Bank 116
set_property PACKAGE_PIN A4 [get_ports SFP_TX_P]
set_property PACKAGE_PIN A3 [get_ports SFP_TX_N]
set_property PACKAGE_PIN B6 [get_ports SFP_RX_P]
set_property PACKAGE_PIN B5 [get_ports SFP_RX_N]

#FMC SIGNALS CLK LPC
#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN Y23 [get_ports FMC_CLK0_M2C_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_CLK0_M2C_P]
#set_property DIFF_TERM 1 [get_ports FMC_CLK0_M2C_P]

#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN AA24 [get_ports FMC_CLK0_M2C_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_CLK0_M2C_N]
#set_property DIFF_TERM 1 [get_ports FMC_CLK0_M2C_N]

#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN Y22 [get_ports FMC_CLK1_M2C_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_CLK1_M2C_P]
#set_property DIFF_TERM 1 [get_ports FMC_CLK1_M2C_P]

#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN AA22 [get_ports FMC_CLK1_M2C_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_CLK1_M2C_N]
#set_property DIFF_TERM 1 [get_ports FMC_CLK1_M2C_N]

#Bank 13 VCCO - 2.5 V
#set_property PACKAGE_PIN N21 [get_ports FMC_LA00_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA00_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_LA00_CC_P]

#Bank 13 VCCO - 2.5 V
#set_property PACKAGE_PIN N22 [get_ports FMC_LA00_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA00_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_LA00_CC_N]

#Bank 13 VCCO - 2.5 V
#set_property PACKAGE_PIN R21 [get_ports FMC_LA01_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA01_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_LA01_CC_P]

#Bank 13 VCCO - 2.5 V
#set_property PACKAGE_PIN P21 [get_ports FMC_LA01_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA01_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_LA01_CC_N]

#Bank 13 VCCO - 2.5 V
#set_property PACKAGE_PIN R22 [get_ports FMC_LA17_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA17_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_LA17_CC_P]

#Bank 13 VCCO - 2.5 V
#set_property PACKAGE_PIN R23 [get_ports FMC_LA17_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA17_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_LA17_CC_N]

#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN AA23 [get_ports FMC_LA18_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA18_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_LA18_CC_P]

#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN AB24 [get_ports FMC_LA18_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_LA18_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_LA18_CC_N]

#FMC SIGNALS CLK HPC
#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN AC23 [get_ports FMC_HA00_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_HA00_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_HA00_CC_P]

#Bank 12 VCCO - 2.5 V
#set_property PACKAGE_PIN AC24 [get_ports FMC_HA00_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_HA00_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_HA00_CC_N]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN F17 [get_ports FMC_HA01_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_HA01_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_HA01_CC_P]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN E17 [get_ports FMC_HA01_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_HA01_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_HA01_CC_N]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN E18 [get_ports FMC_HA17_CC_P]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_HA17_CC_P]
#set_property DIFF_TERM 1 [get_ports FMC_HA17_CC_P]

#Bank 15 VCCO - 2.5 V
#set_property PACKAGE_PIN D18 [get_ports FMC_HA17_CC_N]
#set_property IOSTANDARD LVDS_25 [get_ports FMC_HA17_CC_N]
#set_property DIFF_TERM 1 [get_ports FMC_HA17_CC_N]

########################################################
##  Pin definitions for FmcDio5chttl + CLB V2.2.1     ##
########################################################
# DIO outputs
set_property PACKAGE_PIN N18 [get_ports dio_p_o[4]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_o[4]]
#LA04_P T8

set_property PACKAGE_PIN M19 [get_ports dio_n_o[4]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_o[4]]
#LA04_N U8

set_property PACKAGE_PIN U19 [get_ports dio_p_o[3]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_o[3]]
#LA07_P U9

set_property PACKAGE_PIN U20 [get_ports dio_n_o[3]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_o[3]]
#LA07_N V9

set_property PACKAGE_PIN W20 [get_ports dio_p_o[2]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_o[2]]
#LA08_P R9

set_property PACKAGE_PIN Y21 [get_ports dio_n_o[2]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_o[2]]
#LA08_N R8

set_property PACKAGE_PIN M21 [get_ports dio_p_o[1]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_o[1]]
#LA28_P Y16

set_property PACKAGE_PIN M22 [get_ports dio_n_o[1]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_o[1]]
#LA28_N W15

set_property PACKAGE_PIN N19 [get_ports dio_p_o[0]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_o[0]]
#LA29_P W17

set_property PACKAGE_PIN M20 [get_ports dio_n_o[0]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_o[0]]
#LA29_N Y18

set_property PACKAGE_PIN AA25 [get_ports dio_sdn_n_o]
set_property IOSTANDARD LVCMOS25 [get_ports dio_sdn_n_o]
#LA15_P V11

set_property PACKAGE_PIN AF24 [get_ports dio_sdn_ck_n_o]
set_property IOSTANDARD LVCMOS25 [get_ports dio_sdn_ck_n_o]
#LA06_P Y5

# DIO output enable/termination enable
set_property PACKAGE_PIN AE22 [get_ports dio_oe_n_o[4]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_oe_n_o[4]]
#LA05_P AA6

set_property PACKAGE_PIN U26 [get_ports dio_oe_n_o[3]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_oe_n_o[3]]
#LA11_P W10

set_property PACKAGE_PIN AB25 [get_ports dio_oe_n_o[2]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_oe_n_o[2]]
#LA15_N W11

set_property PACKAGE_PIN N23 [get_ports dio_oe_n_o[1]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_oe_n_o[1]]
#LA24_N Y14

set_property PACKAGE_PIN P24 [get_ports dio_oe_n_o[0]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_oe_n_o[0]]
#LA30_P V17

set_property PACKAGE_PIN P25 [get_ports dio_term_en_o[4]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_term_en_o[4]]
#LA09_N AB7

set_property PACKAGE_PIN R25 [get_ports dio_term_en_o[3]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_term_en_o[3]]
#LA09_P Y7

set_property PACKAGE_PIN AF22 [get_ports dio_term_en_o[2]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_term_en_o[2]]
#LA05_N AB6

set_property PACKAGE_PIN AF25 [get_ports dio_term_en_o[1]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_term_en_o[1]]
#LA06_N AB5

set_property PACKAGE_PIN N24 [get_ports dio_term_en_o[0]]
set_property IOSTANDARD LVCMOS25 [get_ports dio_term_en_o[0]]
#LA30_N W18

set_property PACKAGE_PIN K26 [get_ports dio_onewire_b]
set_property IOSTANDARD LVCMOS25 [get_ports dio_onewire_b]
#LA23_N AB16

# DIO inputs
set_property PACKAGE_PIN Y22 [get_ports dio_clk_p_i]
set_property IOSTANDARD LVDS_25 [get_ports dio_clk_p_i]
create_clock -period 100.000 -name dio_clk_p_i -waveform {0.000 50.000} [get_ports dio_clk_p_i]
#CLK1_M2C_P L20

set_property PACKAGE_PIN AA22 [get_ports dio_clk_n_i]
set_property IOSTANDARD LVDS_25 [get_ports dio_clk_n_i]
#CLK1_M2C_N L22

set_property PACKAGE_PIN N21 [get_ports dio_p_i[4]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_i[4]]
#LA00_P Y11

set_property PACKAGE_PIN N22 [get_ports dio_n_i[4]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_i[4]]
#LA00_N AB11

set_property PACKAGE_PIN P16 [get_ports dio_p_i[3]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_i[3]]
#LA03_P V7

set_property PACKAGE_PIN N17 [get_ports dio_n_i[3]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_i[3]]
#LA03_N W8

set_property PACKAGE_PIN AB26 [get_ports dio_p_i[2]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_i[2]]
#LA16_P W12

set_property PACKAGE_PIN AC26 [get_ports dio_n_i[2]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_i[2]]
#LA16_N Y12

set_property PACKAGE_PIN K20 [get_ports dio_p_i[1]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_i[1]]
#LA20_P  R11

set_property PACKAGE_PIN J20 [get_ports dio_n_i[1]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_i[1]]
#LA20_N T11

set_property PACKAGE_PIN P19 [get_ports dio_p_i[0]]
set_property IOSTANDARD LVDS_25 [get_ports dio_p_i[0]]
#LA33_P C19

set_property PACKAGE_PIN P20 [get_ports dio_n_i[0]]
set_property IOSTANDARD LVDS_25 [get_ports dio_n_i[0]]
#LA33_N A19

set_property PACKAGE_PIN R21 [get_ports dio_led_top_o]
set_property IOSTANDARD LVCMOS25 [get_ports dio_led_top_o]
#LA01_P AA12

set_property PACKAGE_PIN P21 [get_ports dio_led_bot_o]
set_property IOSTANDARD LVCMOS25 [get_ports dio_led_bot_o]
#LA01_N AB12


########################################################

#FMC SIGNALS LPC
#NET "FMC_PRSNT_B" LOC = K21 | IOSTANDARD = LVCMOS33;    #Bank 14 VCCO - 3.3 V
#NET "FMC_LA02_P" LOC = H19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_LA02_N" LOC = G20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_LA03_P" LOC = P16 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA03_N" LOC = N17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA04_P" LOC = N18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA04_N" LOC = M19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA05_P" LOC = AE22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA05_N" LOC = AF22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 23
#NET "Tdc_wrreq" LOC = AF22 | IOSTANDARD = LVCMOS25;    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 23
#NET "FMC_LA06_P" LOC = AF24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 25
#NET "Tdc_eod" LOC = AF24 | IOSTANDARD = LVCMOS25;    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 25
#NET "FMC_LA06_N" LOC = AF25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 27
#NET "Tdc_full" LOC = AF25 | IOSTANDARD = LVCMOS25;    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 27
#NET "FMC_LA07_P" LOC = U19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V  FMC_XM105 J1 pin 29
#NET "FMC_LA07_N" LOC = U20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V  FMC_XM105 J1 pin 31
#NET "FMC_LA08_P" LOC = W20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 33
#NET "FMC_LA08_N" LOC = Y21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 35
#NET "FMC_LA09_P" LOC = R25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V  FMC_XM105 J1 pin 37
#NET "FMC_LA09_N" LOC = P25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V  FMC_XM105 J1 pin 39
#NET "FMC_LA10_P" LOC = U24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#CPU_Gnt
set_property PACKAGE_PIN U24 [get_ports CPU_Gnt]
set_property IOSTANDARD LVCMOS25 [get_ports CPU_Gnt]

#NET "FMC_LA10_N" LOC = U25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#CPU_Req
set_property PACKAGE_PIN U25 [get_ports CPU_Req]
set_property IOSTANDARD LVCMOS25 [get_ports CPU_Req]

#NET "FMC_LA11_P" LOC = U26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA11_N" LOC = V26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#LED_ACT
set_property PACKAGE_PIN V26 [get_ports LED_ACT]
set_property IOSTANDARD LVCMOS25 [get_ports LED_ACT]

#NET "FMC_LA12_P" LOC = R26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA12_N" LOC = P26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA13_P" LOC = AE23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA13_N" LOC = AF23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA14_P" LOC = AD23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA14_N" LOC = AD24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA15_P" LOC = AA25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA15_N" LOC = AB25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA16_P" LOC = AB26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA16_N" LOC = AC26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA19_P" LOC = W23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 38
#NET "FMC_LA19_N" LOC = W24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V  FMC_XM105 J1 pin 40
#NET "FMC_LA20_P" LOC = K20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_LA20_N" LOC = J20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_LA21_P" LOC = M25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA21_N" LOC = L25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA22_P" LOC = L19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_LA22_N" LOC = L20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_LA23_P" LOC = K25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA23_N" LOC = K26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA24_P" LOC = P23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA24_N" LOC = N23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA25_P" LOC = N26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA25_N" LOC = M26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA26_P" LOC = T22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA26_N" LOC = T23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA27_P" LOC = V23 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA27_N" LOC = V24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_LA28_P" LOC = M21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA28_N" LOC = M22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA29_P" LOC = N19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA29_N" LOC = M20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA30_P" LOC = P24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA30_N" LOC = N24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA31_P" LOC = M24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA31_N" LOC = L24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA32_P" LOC = T20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA32_N" LOC = R20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA33_P" LOC = P19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_LA33_N" LOC = P20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V

#FMC SIGNALS HPC
#NET "FMC_HA02_P" LOC = J18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA02_N" LOC = J19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA03_P" LOC = G19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA03_N" LOC = F20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA04_P" LOC = F19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA04_N" LOC = E20 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA05_P" LOC = H17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA05_N" LOC = H18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA06_P" LOC = K16 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA06_N" LOC = K17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA07_P" LOC = M17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA07_N" LOC = L18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA08_P" LOC = R16 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA08_N" LOC = R17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA09_P" LOC = R18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA09_N" LOC = P18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA10_P" LOC = T18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA10_N" LOC = T19 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA11_P" LOC = U17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA11_N" LOC = T17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA12_P" LOC = AB21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA12_N" LOC = AC21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA13_P" LOC = AD21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA13_N" LOC = AE21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA14_P" LOC = V21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA14_N" LOC = W21 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA15_P" LOC = U22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA15_N" LOC = V22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA16_P" LOC = T24 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA16_N" LOC = T25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 13 VCCO - 2.5 V
#NET "FMC_HA18_P" LOC = W25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA18_N" LOC = W26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA19_P" LOC = AD26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA19_N" LOC = AE26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA20_P" LOC = AD25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA20_N" LOC = AE25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA21_P" LOC = Y25 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA21_N" LOC = Y26 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA22_P" LOC = AB22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA22_N" LOC = AC22 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 12 VCCO - 2.5 V
#NET "FMC_HA23_P" LOC = L17 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V
#NET "FMC_HA23_N" LOC = K18 | IOSTANDARD = LVDS_25 | DIFF_TERM = "TRUE";    #Bank 15 VCCO - 2.5 V

#OCTOPUS SMALL
#NET "IIC1_SDA" LOC = J13 | IOSTANDARD = LVCMOS33;    #Bank 16 VCCO - 3.3 V
#NET "IIC1_SCL" LOC = H13 | IOSTANDARD = LVCMOS33;    #Bank 16 VCCO - 3.3 V
#NET "EN_SCLK"  LOC = H12 | IOSTANDARD = LVCMOS33;    #Bank 16 VCCO - 3.3 V
#NET "PMT_P[0]"   LOC = AD16 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[0]"   LOC = AE16 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[1]"   LOC = Y17  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[1]"   LOC = Y18  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[2]"   LOC = W18  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[2]"   LOC = W19  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[3]"   LOC = AD15 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[3]"   LOC = AE15 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[4]"   LOC = AA17 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[4]"   LOC = AA18 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[5]"   LOC = AA19 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[5]"   LOC = AA20 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[6]"   LOC = AC14 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[6]"   LOC = AD14 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[7]"   LOC = AC18 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[7]"   LOC = AD18 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[8]"   LOC = AB19 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[8]"   LOC = AB20 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[9]"   LOC = AF14 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[9]"   LOC = AF15 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[10]"  LOC = AB17 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[10]"  LOC = AC17 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_P[11]"  LOC = AD20 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "PMT_N[11]"  LOC = AE20 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "SPMT_SPA0P" LOC = AE17 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "SPMT_SPA0N" LOC = AF17 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "SPMT_SPA1P" LOC = AE18 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "SPMT_SPA1N" LOC = AF18 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "SPMT_SPA2P" LOC = AF19 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V
#NET "SPMT_SPA2N" LOC = AF20 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";    #Bank 32 VCCO - 1.8 V

#OCTOPUS LARGE
#NET "IIC2_SDA" LOC = H14 | IOSTANDARD = LVCMOS33;    #Bank 16 VCCO - 3.3 V
#NET "IIC2_SCL" LOC = G14 | IOSTANDARD = LVCMOS33;    #Bank 16 VCCO - 3.3 V
#NET "EN_LCLK"  LOC = H11 | IOSTANDARD = LVCMOS33;    #Bank 16 VCCO - 3.3 V
#NET "PMT_P[12]" LOC = AE7  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[12]" LOC = AF7  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_P[13]" LOC = AF5  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[13]" LOC = AF4  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[14]" LOC = AD1  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[14]" LOC = AE1  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[15]" LOC = AE8  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[15]" LOC = AF8  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_P[16]" LOC = AE6  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[16]" LOC = AE5  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[17]" LOC = AF3  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[17]" LOC = AF2  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[18]" LOC = AC8  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[18]" LOC = AD8  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_P[19]" LOC = AD4  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[19]" LOC = AD3  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[20]" LOC = AE3  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[20]" LOC = AE2  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[21]" LOC = AB7  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[21]" LOC = AC7  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_P[22]" LOC = AD6  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[22]" LOC = AD5  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[23]" LOC = AB1  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[23]" LOC = AC1  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[24]" LOC = AF10 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[24]" LOC = AF9  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_P[25]" LOC = AC4  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[25]" LOC = AC3  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[26]" LOC = AB2  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[26]" LOC = AC2  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[27]" LOC = AC9  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[27]" LOC = AD9  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_P[28]" LOC = AA4  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[28]" LOC = AB4  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[29]" LOC = AA3  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_N[29]" LOC = AA2  | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 34 VCCO - 1.8 V
#NET "PMT_P[30]" LOC = AD10 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
#NET "PMT_N[30]" LOC = AE10 | IOSTANDARD = LVDS | DIFF_TERM = "TRUE";     #Bank 33 VCCO - 1.8 V
                                                                        
####################################
# Note that the phy_rst_o originates from the clk_sys domain. Synchronization is not needed
# when the clk_sys is phase locked with clk_gtx_i (which is usually the case) but is a safety
# measure. Add a false path for U_EdgeDet_rst_i_reg_sync0 to remove non-existing timing errors.
# Comment iether one or the other line since for Precision or XST usage
#>>>#NET "clk_sys" TNM_NET = FFS "FFS_pllout_clk_sys";
#INST "u0_U_GTP/U_EdgeDet_rst_i_reg_sync0" TNM = FFS_U_EdgeDet_rst_i_reg_sync0;                                             # Precision
#INST "u0/U_GTP/U_EdgeDet_rst_i/sync0" TNM = FFS_U_EdgeDet_rst_i_reg_sync0;                                                  # XST
#TIMESPEC TS_IgnoreAsyncGTP_Rst = FROM "FFS_pllout_clk_sys" TO "FFS_U_EdgeDet_rst_i_reg_sync0" TIG;

#INST "u11/LM32_CORE/gen_profile_medium_icache_debug.U_Wrapped_LM32/jtag_cores/jtag_tap/bscan" JTAG_CHAIN = 1;               # XST; Better add these as generic assignments in the do_input_file_list.cmd
# INST "u0/U_WR_CORE/WRPC/LM32_CORE/gen_profile_medium_icache_debug.U_Wrapped_LM32/jtag_cores/jtag_tap/bscan" JTAG_CHAIN = 2; # XST; Better add these as generic assignments in the do_input_file_list.cmd
