# do_all.tcl  PeterJ,    26-Mar-2015.
#
# This script does:
#      set project name
#      set part name
#      creates a new project
#      imports the source files
#      launches synthesis
#      launches implemenation
#      generates a bitfile
# ------------------------------------

# set proj_name and proj_dir:
source proj_properties.tcl

# Format the raw time [clock seconds] to a date string
puts "[set date_string [clock format [clock seconds] -format "date: %y-%m-%d, time: %H:%M:%S"]] Implementation Started of $proj_name"

# The remaining TCL scripts live in this directory. Remember
# the path before we change directories
set script_dir [pwd]
#set src_dir    [pwd]/wave_gen/src
#set core_dir   [pwd]/wave_gen/cores
set xdc_dir    $script_dir

#Close currently open project and create a new one. (OVERWRITES PROJECT!!)
close_project -quiet

# Remove old and Create the new build directory
file delete -force $proj_dir
#file mkdir $proj_dir

create_project -force -part $device $proj_name ./$proj_dir

set_property target_language VHDL [current_project]

source $script_dir/proj_load_files.tcl
source $script_dir/viv_do_synt.tcl 
#source $script_dir/viv_do_impl.tcl

#file copy -force $proj_dir/$proj_name.runs/impl_1/$proj_name.bit .